# Class ReturnInstruction

java.lang.Object
org.apache.bcel.generic.Instruction
org.apache.bcel.generic.ReturnInstruction

All Implemented Interfaces:
  `Cloneable, ExceptionThrower, StackConsumer, TypedInstruction`

Direct Known Subclasses:
  `ARETURN, DRETURN, FRETURN, IRETURN, LRETURN, RETURN`

public abstract class ReturnInstruction extends Instruction implements ExceptionThrower, TypedInstruction, StackConsumer
Super class for the xRETURN family of instructions.

- ## Field Summary

  ### Fields inherited from class Instruction

  `length, opcode`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ReturnInstruction(short opcode)`
  Constructs a ReturnInstruction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>[]`
  `getExceptions()`
  Gets the exceptions that may be thrown by this instruction.
  `Type`
  `getType()`
  `Type`
  `getType(ConstantPoolGen cp)`
  Gets the type associated with this instruction.

  ### Methods inherited from class Instruction

  `accept, consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, hashCode, initFromFile, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface StackConsumer

  `consumeStack`

- ## Constructor Details

  - ### ReturnInstruction

    protected ReturnInstruction(short opcode)
    Constructs a ReturnInstruction.
    Parameters:
      `opcode` - of instruction.

- ## Method Details

  - ### getExceptions

    public Class<?>[] getExceptions()
    Description copied from interface: `ExceptionThrower`
    Gets the exceptions that may be thrown by this instruction.
    Specified by:
      `getExceptions` in interface `ExceptionThrower`
    Returns:
      the exceptions that may be thrown by this instruction.

  - ### getType

    public Type getType()

  - ### getType

    public Type getType(ConstantPoolGen cp)
    Description copied from interface: `TypedInstruction`
    Gets the type associated with this instruction.
    Specified by:
      `getType` in interface `TypedInstruction`
    Parameters:
      `cp` - the constant pool generator.
    Returns:
      type associated with the instruction.